Imports DevExpress.XtraGrid
Imports DevExpress.XtraTreeList

Public Class frmHome
    Private Sub frmInbox_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim oCommonCommands As New ClassCommonCommands(My.LogConfig)

        Dim oGridPatcher As New ClassControlPatcher(Of GridControl)(Me)
        oGridPatcher.
            ProcessContainer(AddressOf GridControlDefaults.DefaultGridSettings).
            ProcessContainer(AddressOf GridControlDefaults.ReadOnlyGridSettings)

        Dim oTreeListPatcher As New ClassControlPatcher(Of TreeList)(Me)
        oTreeListPatcher.
            ProcessContainer(AddressOf TreeListDefaults.DefaultTreeListSettings)

        Dim oSQL As String = "SELECT * FROM VWIDB_DOC_METADATA_DE;"
        My.Channel.CreateDatabaseRequest("Doc Metadata", True)
        Dim oTable = My.Channel.ReturnDatatable(oSQL)
        My.Channel.CloseDatabaseRequest()

        GridControl1.DataSource = oTable.Table
    End Sub
End Class